### Enumeration

# GtkMovementStep

#### Declaration

    enum Gtk.MovementStep

#### Description [src]

Passed as argument to various keybinding signals for moving the cursor position.

#### Members

`GTK_MOVEMENT_LOGICAL_POSITIONS`

  Move forward or back by graphemes.

  - Value: `0`
  - Nickname: `logical-positions`
  - Available since: 4.0
`GTK_MOVEMENT_VISUAL_POSITIONS`

  Move left or right by graphemes.

  - Value: `1`
  - Nickname: `visual-positions`
  - Available since: 4.0
`GTK_MOVEMENT_WORDS`

  Move forward or back by words.

  - Value: `2`
  - Nickname: `words`
  - Available since: 4.0
`GTK_MOVEMENT_DISPLAY_LINES`

  Move up or down lines (wrapped lines)

  - Value: `3`
  - Nickname: `display-lines`
  - Available since: 4.0
`GTK_MOVEMENT_DISPLAY_LINE_ENDS`

  Move to either end of a line.

  - Value: `4`
  - Nickname: `display-line-ends`
  - Available since: 4.0
`GTK_MOVEMENT_PARAGRAPHS`

  Move up or down paragraphs (newline-ended lines)

  - Value: `5`
  - Nickname: `paragraphs`
  - Available since: 4.0
`GTK_MOVEMENT_PARAGRAPH_ENDS`

  Move to either end of a paragraph.

  - Value: `6`
  - Nickname: `paragraph-ends`
  - Available since: 4.0
`GTK_MOVEMENT_PAGES`

  Move by pages.

  - Value: `7`
  - Nickname: `pages`
  - Available since: 4.0
`GTK_MOVEMENT_BUFFER_ENDS`

  Move to ends of the buffer.

  - Value: `8`
  - Nickname: `buffer-ends`
  - Available since: 4.0
`GTK_MOVEMENT_HORIZONTAL_PAGES`

  Move horizontally by pages.

  - Value: `9`
  - Nickname: `horizontal-pages`
  - Available since: 4.0